Software Minimum System Requirements


Silhouette Studio

The following are the minimum system requirements in order to run the Silhouette Studio® software:

Operating System: PC (Windows 7, Windows 8, or Windows 10) OR Mac (OS X 10.7 and higher). Chromebook is currently not supported. Internet connection: Strongly recommended for updates and access to the Silhouette Design Store. Required to activate a license key for upgrade. RAM: 1 GB of RAM (2 GB recommended) Processor: 2 GHz (or faster) processor speed Memory: 2 GB hard disk space  USB Port: USB 1.1 Port (or higher)

Silhouette Studio - Windows XP or Vista

Microsoft officially ended support for their Windows XP (as of April 8, 2014) and Windows Vista operating systems (as of April 11, 2017). The software offered from our company may or may not operate successfully on a computer running these operating systems. 

We can relay that our Legacy Version 3.6.057 is stable on a Windows Vista operating system. To download this software, please visit https://www.silhouetteamerica.com/software and use the Legacy Version(s) drop down menu to locate 3.6.057. You will want to click Windows under the Link column. 

Please note that the Silhouette CAMEO® 3 and Portrait 2 machines will require version 3.8 or higher to connect.

We also offer an older legacy version of the software which has been found to be more stable on Windows XP and lower specification PC/Mac computers. To install this version, please use the link below for your Operating System:

PC/Windows:  //dl.silhcdn.com/09163295065beb16 

Mac:  //dl.silhcdn.com/9a3b392c38295a23

Please note that only the Silhouette CAMEO® 1, Portrait 1, or older models will connect properly to this version. Any newer models will require a more current version of the software.

Silhouette Connect

Silhouette Connect is a plug-in designed to operate inside of the Adobe Illustrator or CorelDRAW software. The plug-in requires the following:

Operating System: PC (Windows 7, Windows 8, or Windows 10) OR Mac (OS X 10.7 and higher). Chromebook is currently not supported.

Any other requirements to run the Silhouette Connect plug-in will match any minimum system requirements of the compatible Adobe Illustrator and CorelDRAW version in use.

For a list of compatible versions, please visit http://www.silhouetteamerica.com/faq/solution/silhouette-connect-plug-in-overview

Silhouette 3D

The following are the minimum system requirements in order to run the Silhouette 3D software:

Operating System: Windows 7 and higher or Mac OS 10.8 and higher Internet connection: Strongly recommended for updates and download of purchased designs RAM: 4GB Processor: Intel or AMD Quad core at 2.5GHz Memory: 4GB of free space Graphics: Any that supports OpenGL 1.2 (Any GPU since 2010) Network: Any network controller (Wi-Fi or Ethernet)

These are the minimum requirements. Greater specifications are recommended to improve software performance.